Cantera 2.6.0

Public Member Functions | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
MMCollisionInt Class Reference
Models of Phases of Matter » Transport Properties for Species in Phases

Calculation of Collision integrals. More...

`#include <MMCollisionInt.h>`

## Public Member Functions
void | init (doublereal tsmin, doublereal tsmax, int loglevel=0)
| Initialize the object for calculation. More...
doublereal | omega22 (double ts, double deltastar)
doublereal | astar (double ts, double deltastar)
doublereal | bstar (double ts, double deltastar)
doublereal | cstar (double ts, double deltastar)
void | fit (int degree, doublereal deltastar, doublereal *astar, doublereal *bstar, doublereal *cstar)
void | fit_omega22 (int degree, doublereal deltastar, doublereal *om22)
doublereal | omega11 (double ts, double deltastar)

## Private Member Functions
doublereal | fitDelta (int table, int ntstar, int degree, doublereal *c)

## Private Attributes
std::vector< vector_fp > | m_o22poly
std::vector< vector_fp > | m_apoly
std::vector< vector_fp > | m_bpoly
std::vector< vector_fp > | m_cpoly
vector_fp | m_logTemp
| Log temp. More...
int | m_nmin
int | m_nmax
int | m_loglevel
| loglevel More...

## Static Private Attributes
static doublereal | delta [8]
static doublereal | tstar22 [37]
static doublereal | omega22_table [37 *8]
| Table of omega22 values from MM. More...
static doublereal | tstar [39]
| table of tstar values More...
static doublereal | astar_table [39 *8]
| astar table from MM More...
static doublereal | bstar_table [39 *8]
| bstar table from MM More...
static doublereal | cstar_table [39 *8]
| cstar table from MM More...

## Detailed Description

Calculation of Collision integrals.

This class provides functions that interpolate the tabulated collision integrals in Monchick and Mason, "Transport Properties of Polar Gases," J. Chem. Phys. (1961)

Definition at line 25 of file MMCollisionInt.h.

## Constructor & Destructor Documentation

## ◆ MMCollisionInt()

MMCollisionInt | ( |  | ) |
| inline

Definition at line 28 of file MMCollisionInt.h.

## ◆ ~MMCollisionInt()

virtual ~MMCollisionInt | ( |  | ) |
| inline virtual

Definition at line 29 of file MMCollisionInt.h.

## Member Function Documentation

## ◆ init()

void init | ( | doublereal | tsmin,
|  | doublereal | tsmax,
|  | int | loglevel = `0`
| ) |  |

Initialize the object for calculation.

Parameters

  tsmin | Minimum value of Tstar to carry out the fitting
  tsmax | Maximum value of Tstar to carry out the fitting
  loglevel | Set the loglevel for the object. The default loglevel is zero, indicating no output.

Definition at line 218 of file MMCollisionInt.cpp.

References Cantera::debuglog(), MMCollisionInt::m_loglevel, MMCollisionInt::m_logTemp, MMCollisionInt::tstar, Cantera::vec2str(), Cantera::writelog(), and Cantera::writelogf().

Referenced by GasTransport::setupCollisionIntegral().

## ◆ omega22()

doublereal omega22 | ( | double | ts,
|  | double | deltastar
| ) |  |

Definition at line 321 of file MMCollisionInt.cpp.

## ◆ astar()

doublereal astar | ( | double | ts,
|  | double | deltastar
| ) |  |

Definition at line 346 of file MMCollisionInt.cpp.

## ◆ bstar()

doublereal bstar | ( | double | ts,
|  | double | deltastar
| ) |  |

Definition at line 369 of file MMCollisionInt.cpp.

## ◆ cstar()

doublereal cstar | ( | double | ts,
|  | double | deltastar
| ) |  |

Definition at line 392 of file MMCollisionInt.cpp.

## ◆ fit()

void fit | ( | int | degree,
|  | doublereal | deltastar,
|  | doublereal * | astar,
|  | doublereal * | bstar,
|  | doublereal * | cstar
| ) |  |

Definition at line 438 of file MMCollisionInt.cpp.

## ◆ fit_omega22()

void fit_omega22 | ( | int | degree,
|  | doublereal | deltastar,
|  | doublereal * | om22
| ) |  |

Definition at line 415 of file MMCollisionInt.cpp.

## ◆ omega11()

doublereal omega11 | ( | double | ts,
|  | double | deltastar
| ) |  |
| inline

Definition at line 47 of file MMCollisionInt.h.

## ◆ fitDelta()

doublereal fitDelta | ( | int | table,
|  | int | ntstar,
|  | int | degree,
|  | doublereal * | c
| ) |  |
| private

Definition at line 297 of file MMCollisionInt.cpp.

## Member Data Documentation

## ◆ m_o22poly

std::vector<vector_fp> m_o22poly
| private

Definition at line 54 of file MMCollisionInt.h.

## ◆ m_apoly

std::vector<vector_fp> m_apoly
| private

Definition at line 55 of file MMCollisionInt.h.

## ◆ m_bpoly

std::vector<vector_fp> m_bpoly
| private

Definition at line 56 of file MMCollisionInt.h.

## ◆ m_cpoly

std::vector<vector_fp> m_cpoly
| private

Definition at line 57 of file MMCollisionInt.h.

## ◆ delta

double delta
| static private

Initial value:
= {0.0, 0.25, 0.50, 0.75, 1.0,
1.5, 2.0, 2.5
}

Definition at line 59 of file MMCollisionInt.h.

## ◆ tstar22

double tstar22
| static private

Initial value:
= {
0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1.0,
1.2, 1.4, 1.6, 1.8, 2.0, 2.5, 3.0, 3.5, 4.0,
5.0, 6.0, 7.0, 8.0, 9.0, 10.0, 12.0, 14.0, 16.0,
18.0, 20.0, 25.0, 30.0, 35.0, 40.0, 50.0, 75.0, 100.0
}

Definition at line 60 of file MMCollisionInt.h.

## ◆ omega22_table

double omega22_table
| static private

Table of omega22 values from MM.

Definition at line 63 of file MMCollisionInt.h.

## ◆ tstar

double tstar
| static private

Initial value:
= {
0.0, 0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1.0,
1.2, 1.4, 1.6, 1.8, 2.0, 2.5, 3.0, 3.5, 4.0,
5.0, 6.0, 7.0, 8.0, 9.0, 10.0, 12.0, 14.0, 16.0,
18.0, 20.0, 25.0, 30.0, 35.0, 40.0, 50.0, 75.0, 100.0, 500.0
}

table of tstar values

Definition at line 66 of file MMCollisionInt.h.

Referenced by MMCollisionInt::init().

## ◆ astar_table

double astar_table
| static private

astar table from MM

Definition at line 69 of file MMCollisionInt.h.

## ◆ bstar_table

double bstar_table
| static private

bstar table from MM

Definition at line 72 of file MMCollisionInt.h.

## ◆ cstar_table

double cstar_table
| static private

cstar table from MM

Definition at line 75 of file MMCollisionInt.h.

## ◆ m_logTemp

vector_fp m_logTemp
| private

Log temp.

Definition at line 78 of file MMCollisionInt.h.

Referenced by MMCollisionInt::init().

## ◆ m_nmin

int m_nmin
| private

Definition at line 80 of file MMCollisionInt.h.

## ◆ m_nmax

int m_nmax
| private

Definition at line 81 of file MMCollisionInt.h.

## ◆ m_loglevel

int m_loglevel
| private

loglevel

Definition at line 84 of file MMCollisionInt.h.

Referenced by MMCollisionInt::init().

The documentation for this class was generated from the following files:

- MMCollisionInt.h
- MMCollisionInt.cpp